package com.wmyun.module.promotion.framework.rpc.config;

import com.wmyun.module.infra.api.websocket.WebSocketSenderApi;
import com.wmyun.module.member.api.user.MemberUserApi;
import com.wmyun.module.product.api.category.ProductCategoryApi;
import com.wmyun.module.product.api.sku.ProductSkuApi;
import com.wmyun.module.product.api.spu.ProductSpuApi;
import com.wmyun.module.system.api.social.SocialClientApi;
import com.wmyun.module.system.api.user.AdminUserApi;
import com.wmyun.module.trade.api.order.TradeOrderApi;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {ProductSkuApi.class, ProductSpuApi.class, ProductCategoryApi.class,
        MemberUserApi.class, TradeOrderApi.class, AdminUserApi.class, SocialClientApi.class,
        WebSocketSenderApi.class})
public class RpcConfiguration {
}
